Subject: Re: Re: Cygwin + Debian
From: "Christophe Prud'homme" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Tue, 26 Jun 2001 18:29:26 -0400

* Robert Collins  [Jeudi 21 Juin 2001 06:04 pm ]  :

  > Christophe, have you read the threads in cygwin-developers about this?
Nope not yet unfortunately

  >
  > In summary there are 2 major issues with dpkg and cygwin today...
  > 1) FIFO support is required for dpkg.

  > 2) Win32 does not allow replacement of open files without a reboot (*And
  > the method is different for 9x/NT)
yes that's a problem I encoutered :(

  >
  > I've looked into this extensively before, to understand what could be
  > done - I'd like to see setup.exe be able to bootstrap a dpkg
  > environment - but there is still a lot of work on cygwin's
  > "unix-like-ness" needed.
yes I got this idea while playing with setup.exe, Actually I just ssetup my own cygwin mirror
with some additional package of my own but tweaking setup.ini and it works really great
so bootstraping a dpkg env is definitely possible just create the right setup.ini
(I hope that I don't miss anything :) )

is there a plan about this?
do you need help? 
I could help on this project, I am new to cygwin and windows but I am willing to 
give some time

C.
-- 
| Christophe Prud'homme, http://augustine.mit.edu/~prudhomm
| ICQ UIN: 24560867 Alias: Jesunix
|
| In theory, theory and practice are the same. In practice they are different.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/